#!/usr/bin/env python

from MoinMessage import GPG
from email.parser import Parser
import sys

if __name__ == "__main__":
    message = Parser().parse(sys.stdin)
    content, signature = message.get_payload()

    if len(sys.argv) > 1:
        gpg = GPG(sys.argv[1])
    else:
        gpg = GPG()
    print gpg.verifyMessageText(signature.get_payload(), content.as_string())

# vim: tabstop=4 expandtab shiftwidth=4
